#
# spec file for package xcursorgen
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xcursorgen
Version:        1.0.6
Release:        lp150.1.7
Summary:        Utility to create an X cursor file from a collection of PNG images
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libpng) >= 1.2.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xcursorgen prepares X11 cursor sets for use with libXcursor.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/xcursorgen
%{_mandir}/man1/xcursorgen.1%{?ext_man}

%changelog
* Wed Jun  4 2014 sndirsch@suse.com
- Update to version 1.0.6
  * This minor release includes some code cleanups & improved
    error messaging.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + Build and build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xcursorgen from xorg-x11. Initial version: 1.0.4.
